diff --git a/python/requests/requests/models.py b/python/requests/requests/models.py
index 4bcbc5484a..36b0c1a632 100644
--- a/python/requests/requests/models.py
+++ b/python/requests/requests/models.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 """
 requests.models
 ~~~~~~~~~~~~~~~
@@ -30,7 +28,7 @@ from .utils import (
     iter_slices, guess_json_utf, super_len, to_native_string)
 from .compat import (
     cookielib, urlunparse, urlsplit, urlencode, str, bytes, StringIO,
-    is_py2, chardet, builtin_str, basestring)
+    is_py2, chardet, builtin_str, str)
 from .compat import json as complexjson
 from .status_codes import codes
 
@@ -49,7 +47,7 @@ CONTENT_CHUNK_SIZE = 10 * 1024
 ITER_CHUNK_SIZE = 512
 
 
-class RequestEncodingMixin(object):
+class RequestEncodingMixin:
     @property
     def path_url(self):
         """Build the path URL to use."""
@@ -87,7 +85,7 @@ class RequestEncodingMixin(object):
         elif hasattr(data, '__iter__'):
             result = []
             for k, vs in to_key_val_list(data):
-                if isinstance(vs, basestring) or not hasattr(vs, '__iter__'):
+                if isinstance(vs, str) or not hasattr(vs, '__iter__'):
                     vs = [vs]
                 for v in vs:
                     if v is not None:
@@ -109,7 +107,7 @@ class RequestEncodingMixin(object):
         """
         if (not files):
             raise ValueError("Files must be provided.")
-        elif isinstance(data, basestring):
+        elif isinstance(data, str):
             raise ValueError("Data must not be a string.")
 
         new_fields = []
@@ -117,7 +115,7 @@ class RequestEncodingMixin(object):
         files = to_key_val_list(files or {})
 
         for field, val in fields:
-            if isinstance(val, basestring) or not hasattr(val, '__iter__'):
+            if isinstance(val, str) or not hasattr(val, '__iter__'):
                 val = [val]
             for v in val:
                 if v is not None:
@@ -158,17 +156,17 @@ class RequestEncodingMixin(object):
         return body, content_type
 
 
-class RequestHooksMixin(object):
+class RequestHooksMixin:
     def register_hook(self, event, hook):
         """Properly register a hook."""
 
         if event not in self.hooks:
             raise ValueError('Unsupported event specified, with event name "%s"' % (event))
 
-        if isinstance(hook, collections.Callable):
+        if isinstance(hook, collections.abc.Callable):
             self.hooks[event].append(hook)
         elif hasattr(hook, '__iter__'):
-            self.hooks[event].extend(h for h in hook if isinstance(h, collections.Callable))
+            self.hooks[event].extend(h for h in hook if isinstance(h, collections.abc.Callable))
 
     def deregister_hook(self, event, hook):
         """Deregister a previously registered hook.
@@ -331,7 +329,7 @@ class PreparedRequest(RequestEncodingMixin, RequestHooksMixin):
         if isinstance(url, bytes):
             url = url.decode('utf8')
         else:
-            url = unicode(url) if is_py2 else str(url)
+            url = str(url) if is_py2 else str(url)
 
         # Don't do any URL preparation for non-HTTP schemes like `mailto`,
         # `data` etc to work around exceptions from `url_parse`, which
@@ -391,7 +389,7 @@ class PreparedRequest(RequestEncodingMixin, RequestHooksMixin):
         enc_params = self._encode_params(params)
         if enc_params:
             if query:
-                query = '%s&%s' % (query, enc_params)
+                query = '{}&{}'.format(query, enc_params)
             else:
                 query = enc_params
 
@@ -423,7 +421,7 @@ class PreparedRequest(RequestEncodingMixin, RequestHooksMixin):
 
         is_stream = all([
             hasattr(data, '__iter__'),
-            not isinstance(data, (basestring, list, tuple, dict))
+            not isinstance(data, (str, list, tuple, dict))
         ])
 
         try:
@@ -448,7 +446,7 @@ class PreparedRequest(RequestEncodingMixin, RequestHooksMixin):
             else:
                 if data:
                     body = self._encode_params(data)
-                    if isinstance(data, basestring) or hasattr(data, 'read'):
+                    if isinstance(data, str) or hasattr(data, 'read'):
                         content_type = None
                     else:
                         content_type = 'application/x-www-form-urlencoded'
@@ -525,7 +523,7 @@ class PreparedRequest(RequestEncodingMixin, RequestHooksMixin):
             self.register_hook(event, hooks[event])
 
 
-class Response(object):
+class Response:
     """The :class:`Response <Response>` object, which contains a
     server's response to an HTTP request.
     """
@@ -536,7 +534,7 @@ class Response(object):
     ]
 
     def __init__(self):
-        super(Response, self).__init__()
+        super().__init__()
 
         self._content = False
         self._content_consumed = False
@@ -589,10 +587,10 @@ class Response(object):
         if not self._content_consumed:
             self.content
 
-        return dict(
-            (attr, getattr(self, attr, None))
+        return {
+            attr: getattr(self, attr, None)
             for attr in self.__attrs__
-        )
+        }
 
     def __setstate__(self, state):
         for name, value in state.items():
@@ -714,8 +712,7 @@ class Response(object):
             else:
                 pending = None
 
-            for line in lines:
-                yield line
+            yield from lines
 
         if pending is not None:
             yield pending
@@ -734,7 +731,7 @@ class Response(object):
                 if self.status_code == 0:
                     self._content = None
                 else:
-                    self._content = bytes().join(self.iter_content(CONTENT_CHUNK_SIZE)) or bytes()
+                    self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
 
             except AttributeError:
                 self._content = None
@@ -762,7 +759,7 @@ class Response(object):
         encoding = self.encoding
 
         if not self.content:
-            return str('')
+            return ''
 
         # Fallback to auto-detected encoding.
         if self.encoding is None:
@@ -783,7 +780,7 @@ class Response(object):
         return content
 
     def json(self, **kwargs):
-        """Returns the json-encoded content of a response, if any.
+        r"""Returns the json-encoded content of a response, if any.
 
         :param \*\*kwargs: Optional arguments that ``json.loads`` takes.
         """
@@ -831,10 +828,10 @@ class Response(object):
         http_error_msg = ''
 
         if 400 <= self.status_code < 500:
-            http_error_msg = '%s Client Error: %s for url: %s' % (self.status_code, self.reason, self.url)
+            http_error_msg = '{} Client Error: {} for url: {}'.format(self.status_code, self.reason, self.url)
 
         elif 500 <= self.status_code < 600:
-            http_error_msg = '%s Server Error: %s for url: %s' % (self.status_code, self.reason, self.url)
+            http_error_msg = '{} Server Error: {} for url: {}'.format(self.status_code, self.reason, self.url)
 
         if http_error_msg:
             raise HTTPError(http_error_msg, response=self)
diff --git a/python/requests/requests/packages/__init__.py b/python/requests/requests/packages/__init__.py
index 971c2ad024..cb2525372d 100644
--- a/python/requests/requests/packages/__init__.py
+++ b/python/requests/requests/packages/__init__.py
@@ -20,17 +20,16 @@ https://github.com/kennethreitz/requests/pull/2375 for the corresponding pull
 request.
 '''
 
-from __future__ import absolute_import
 import sys
 
 try:
     from . import urllib3
 except ImportError:
-    import urllib3
+    from . import urllib3
     sys.modules['%s.urllib3' % __name__] = urllib3
 
 try:
     from . import chardet
 except ImportError:
-    import chardet
+    from . import chardet
     sys.modules['%s.chardet' % __name__] = chardet
diff --git a/python/requests/requests/packages/chardet/__init__.py b/python/requests/requests/packages/chardet/__init__.py
index 82c2a48d29..09d2a3991f 100644
--- a/python/requests/requests/packages/chardet/__init__.py
+++ b/python/requests/requests/packages/chardet/__init__.py
@@ -20,7 +20,7 @@ from sys import version_info
 
 
 def detect(aBuf):
-    if ((version_info < (3, 0) and isinstance(aBuf, unicode)) or
+    if ((version_info < (3, 0) and isinstance(aBuf, str)) or
             (version_info >= (3, 0) and not isinstance(aBuf, bytes))):
         raise ValueError('Expected a bytes object, not a unicode object')
 
diff --git a/python/requests/requests/packages/chardet/chardetect.py b/python/requests/requests/packages/chardet/chardetect.py
index ffe892f25d..59549cc9ee 100755
--- a/python/requests/requests/packages/chardet/chardetect.py
+++ b/python/requests/requests/packages/chardet/chardetect.py
@@ -13,11 +13,9 @@ If no paths are provided, it takes its input from stdin.
 
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
 
 import argparse
 import sys
-from io import open
 
 from chardet import __version__
 from chardet.universaldetector import UniversalDetector
@@ -39,10 +37,10 @@ def description_of(lines, name='stdin'):
     u.close()
     result = u.result
     if result['encoding']:
-        return '{0}: {1} with confidence {2}'.format(name, result['encoding'],
+        return '{}: {} with confidence {}'.format(name, result['encoding'],
                                                      result['confidence'])
     else:
-        return '{0}: no result'.format(name)
+        return '{}: no result'.format(name)
 
 
 def main(argv=None):
@@ -64,7 +62,7 @@ def main(argv=None):
                         type=argparse.FileType('rb'), nargs='*',
                         default=[sys.stdin])
     parser.add_argument('--version', action='version',
-                        version='%(prog)s {0}'.format(__version__))
+                        version='%(prog)s {}'.format(__version__))
     args = parser.parse_args(argv)
 
     for f in args.input:
diff --git a/python/requests/requests/packages/chardet/compat.py b/python/requests/requests/packages/chardet/compat.py
index d9e30addf9..6c6ad50416 100644
--- a/python/requests/requests/packages/chardet/compat.py
+++ b/python/requests/requests/packages/chardet/compat.py
@@ -21,10 +21,7 @@
 import sys
 
 
-if sys.version_info < (3, 0):
-    base_str = (str, unicode)
-else:
-    base_str = (bytes, str)
+base_str = (bytes, str)
 
 
 def wrap_ord(a):
diff --git a/python/requests/requests/packages/urllib3/__init__.py b/python/requests/requests/packages/urllib3/__init__.py
index e43991a974..c1123aae8d 100644
--- a/python/requests/requests/packages/urllib3/__init__.py
+++ b/python/requests/requests/packages/urllib3/__init__.py
@@ -2,7 +2,6 @@
 urllib3 - Thread-safe connection pooling and re-using.
 """
 
-from __future__ import absolute_import
 import warnings
 
 from .connectionpool import (
diff --git a/python/requests/requests/packages/urllib3/_collections.py b/python/requests/requests/packages/urllib3/_collections.py
index 67f3ce994d..1bdbb7d48c 100644
--- a/python/requests/requests/packages/urllib3/_collections.py
+++ b/python/requests/requests/packages/urllib3/_collections.py
@@ -1,5 +1,4 @@
-from __future__ import absolute_import
-from collections import Mapping, MutableMapping
+from collections.abc import Mapping, MutableMapping
 try:
     from threading import RLock
 except ImportError:  # Platform-specific: No threads available
@@ -133,7 +132,7 @@ class HTTPHeaderDict(MutableMapping):
     """
 
     def __init__(self, headers=None, **kwargs):
-        super(HTTPHeaderDict, self).__init__()
+        super().__init__()
         self._container = {}
         if headers is not None:
             if isinstance(headers, HTTPHeaderDict):
@@ -162,8 +161,8 @@ class HTTPHeaderDict(MutableMapping):
             return False
         if not isinstance(other, type(self)):
             other = type(self)(other)
-        return (dict((k.lower(), v) for k, v in self.itermerged()) ==
-                dict((k.lower(), v) for k, v in other.itermerged()))
+        return ({k.lower(): v for k, v in self.itermerged()} ==
+                {k.lower(): v for k, v in other.itermerged()})
 
     def __ne__(self, other):
         return not self.__eq__(other)
@@ -235,11 +234,11 @@ class HTTPHeaderDict(MutableMapping):
         """
         if len(args) > 1:
             raise TypeError("extend() takes at most 1 positional "
-                            "arguments ({0} given)".format(len(args)))
+                            "arguments ({} given)".format(len(args)))
         other = args[0] if len(args) >= 1 else ()
 
         if isinstance(other, HTTPHeaderDict):
-            for key, val in other.iteritems():
+            for key, val in other.items():
                 self.add(key, val)
         elif isinstance(other, Mapping):
             for key in other:
@@ -273,7 +272,7 @@ class HTTPHeaderDict(MutableMapping):
     iget = getlist
 
     def __repr__(self):
-        return "%s(%s)" % (type(self).__name__, dict(self.itermerged()))
+        return "{}({})".format(type(self).__name__, dict(self.itermerged()))
 
     def _copy_from(self, other):
         for key in other:
@@ -302,7 +301,7 @@ class HTTPHeaderDict(MutableMapping):
             yield val[0], ', '.join(val[1:])
 
     def items(self):
-        return list(self.iteritems())
+        return list(self.items())
 
     @classmethod
     def from_httplib(cls, message):  # Python 2
diff --git a/python/requests/requests/packages/urllib3/connection.py b/python/requests/requests/packages/urllib3/connection.py
index 1e4cd41758..4b2de5a4e3 100644
--- a/python/requests/requests/packages/urllib3/connection.py
+++ b/python/requests/requests/packages/urllib3/connection.py
@@ -1,4 +1,3 @@
-from __future__ import absolute_import
 import datetime
 import os
 import sys
@@ -11,8 +10,8 @@ try:  # Python 3
     from http.client import HTTPConnection as _HTTPConnection
     from http.client import HTTPException  # noqa: unused in this module
 except ImportError:
-    from httplib import HTTPConnection as _HTTPConnection
-    from httplib import HTTPException  # noqa: unused in this module
+    from six.moves.http_client import HTTPConnection as _HTTPConnection
+    from six.moves.http_client import HTTPException  # noqa: unused in this module
 
 try:  # Compiled with SSL?
     import ssl
@@ -58,12 +57,12 @@ port_by_scheme = {
 RECENT_DATE = datetime.date(2014, 1, 1)
 
 
-class DummyConnection(object):
+class DummyConnection:
     """Used to detect a failed ConnectionCls import."""
     pass
 
 
-class HTTPConnection(_HTTPConnection, object):
+class HTTPConnection(_HTTPConnection):
     """
     Based on httplib.HTTPConnection but provides an extra constructor
     backwards-compatibility layer between older and newer Pythons.
@@ -100,8 +99,7 @@ class HTTPConnection(_HTTPConnection, object):
     is_verified = False
 
     def __init__(self, *args, **kw):
-        if six.PY3:  # Python 3
-            kw.pop('strict', None)
+        kw.pop('strict', None)
 
         # Pre-set source_address in case we have an older Python like 2.6.
         self.source_address = kw.get('source_address')
@@ -237,7 +235,7 @@ class VerifiedHTTPSConnection(HTTPSConnection):
         is_time_off = datetime.date.today() < RECENT_DATE
         if is_time_off:
             warnings.warn((
-                'System time is way off (before {0}). This will probably '
+                'System time is way off (before {}). This will probably '
                 'lead to SSL verification errors').format(RECENT_DATE),
                 SystemTimeWarning
             )
@@ -259,7 +257,7 @@ class VerifiedHTTPSConnection(HTTPSConnection):
             cert = self.sock.getpeercert()
             if not cert.get('subjectAltName', ()):
                 warnings.warn((
-                    'Certificate for {0} has no `subjectAltName`, falling back to check for a '
+                    'Certificate for {} has no `subjectAltName`, falling back to check for a '
                     '`commonName` for now. This feature is being removed by major browsers and '
                     'deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 '
                     'for details.)'.format(hostname)),
diff --git a/python/requests/requests/packages/urllib3/connectionpool.py b/python/requests/requests/packages/urllib3/connectionpool.py
index 995b4167b5..67e755f303 100644
--- a/python/requests/requests/packages/urllib3/connectionpool.py
+++ b/python/requests/requests/packages/urllib3/connectionpool.py
@@ -1,4 +1,3 @@
-from __future__ import absolute_import
 import errno
 import logging
 import sys
@@ -10,9 +9,9 @@ import socket
 try:  # Python 3
     from queue import LifoQueue, Empty, Full
 except ImportError:
-    from Queue import LifoQueue, Empty, Full
+    from queue import LifoQueue, Empty, Full
     # Queue is imported for side effects on MS Windows
-    import Queue as _unused_module_Queue  # noqa: unused
+    import six.moves.queue as _unused_module_Queue  # noqa: unused
 
 
 from .exceptions import (
@@ -48,7 +47,7 @@ from .util.timeout import Timeout
 from .util.url import get_host, Url
 
 
-xrange = six.moves.xrange
+xrange = range
 
 log = logging.getLogger(__name__)
 
@@ -56,7 +55,7 @@ _Default = object()
 
 
 # Pool objects
-class ConnectionPool(object):
+class ConnectionPool:
     """
     Base class for all connection pools, such as
     :class:`.HTTPConnectionPool` and :class:`.HTTPSConnectionPool`.
@@ -73,7 +72,7 @@ class ConnectionPool(object):
         self.port = port
 
     def __str__(self):
-        return '%s(host=%r, port=%r)' % (type(self).__name__,
+        return '{}(host={!r}, port={!r})'.format(type(self).__name__,
                                          self.host, self.port)
 
     def __enter__(self):
@@ -92,11 +91,11 @@ class ConnectionPool(object):
 
 
 # This is taken from http://hg.python.org/cpython/file/7aaba721ebc0/Lib/socket.py#l252
-_blocking_errnos = set([errno.EAGAIN, errno.EWOULDBLOCK])
+_blocking_errnos = {errno.EAGAIN, errno.EWOULDBLOCK}
 
 
 class HTTPConnectionPool(ConnectionPool, RequestMethods):
-    """
+    r"""
     Thread-safe connection pool for one host.
 
     :param host:
@@ -184,7 +183,7 @@ class HTTPConnectionPool(ConnectionPool, RequestMethods):
         self.proxy_headers = _proxy_headers or {}
 
         # Fill the queue up so that doing get() on it will block properly
-        for _ in xrange(maxsize):
+        for _ in range(maxsize):
             self.pool.put(None)
 
         # These are mostly for testing and debugging purposes.
@@ -382,7 +381,7 @@ class HTTPConnectionPool(ConnectionPool, RequestMethods):
 
         # AppEngine doesn't have a version attr.
         http_version = getattr(conn, '_http_vsn_str', 'HTTP/?')
-        log.debug("\"%s %s %s\" %s %s" % (method, url, http_version,
+        log.debug("\"{} {} {}\" {} {}".format(method, url, http_version,
                                           httplib_response.status,
                                           httplib_response.length))
 
@@ -436,7 +435,7 @@ class HTTPConnectionPool(ConnectionPool, RequestMethods):
     def urlopen(self, method, url, body=None, headers=None, retries=None,
                 redirect=True, assert_same_host=True, timeout=_Default,
                 pool_timeout=None, release_conn=None, **response_kw):
-        """
+        r"""
         Get a connection from the pool and perform an HTTP request. This is the
         lowest level call for making a request, so you'll need to specify all
         the raw details.
@@ -644,7 +643,7 @@ class HTTPConnectionPool(ConnectionPool, RequestMethods):
                     raise
                 return response
 
-            log.info("Redirecting %s -> %s" % (url, redirect_location))
+            log.info("Redirecting {} -> {}".format(url, redirect_location))
             return self.urlopen(
                 method, redirect_location, body, headers,
                 retries=retries, redirect=redirect,
@@ -777,7 +776,7 @@ class HTTPSConnectionPool(HTTPConnectionPool):
         """
         Called right before a request is made, after the socket is created.
         """
-        super(HTTPSConnectionPool, self)._validate_conn(conn)
+        super()._validate_conn(conn)
 
         # Force connect early to allow us to validate the connection.
         if not getattr(conn, 'sock', None):  # AppEngine might not have  `.sock`
@@ -792,7 +791,7 @@ class HTTPSConnectionPool(HTTPConnectionPool):
 
 
 def connection_from_url(url, **kw):
-    """
+    r"""
     Given a url, return an :class:`.ConnectionPool` instance of its host.
 
     This is a shortcut for not having to parse out the scheme, host, and port
diff --git a/python/requests/requests/packages/urllib3/contrib/appengine.py b/python/requests/requests/packages/urllib3/contrib/appengine.py
index 884cdb220d..06390643f0 100644
--- a/python/requests/requests/packages/urllib3/contrib/appengine.py
+++ b/python/requests/requests/packages/urllib3/contrib/appengine.py
@@ -1,4 +1,3 @@
-from __future__ import absolute_import
 import logging
 import os
 import warnings
diff --git a/python/requests/requests/packages/urllib3/contrib/ntlmpool.py b/python/requests/requests/packages/urllib3/contrib/ntlmpool.py
index c136a238db..4ebd26722c 100644
--- a/python/requests/requests/packages/urllib3/contrib/ntlmpool.py
+++ b/python/requests/requests/packages/urllib3/contrib/ntlmpool.py
@@ -3,12 +3,11 @@ NTLM authenticating pool, contributed by erikcederstran
 
 Issue #10, see: http://code.google.com/p/urllib3/issues/detail?id=10
 """
-from __future__ import absolute_import
 
 try:
     from http.client import HTTPSConnection
 except ImportError:
-    from httplib import HTTPSConnection
+    from six.moves.http_client import HTTPSConnection
 from logging import getLogger
 from ntlm import ntlm
 
@@ -31,7 +30,7 @@ class NTLMConnectionPool(HTTPSConnectionPool):
         user is the Windows user, probably in the DOMAIN\\username format.
         pw is the password for the user.
         """
-        super(NTLMConnectionPool, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.authurl = authurl
         self.rawuser = user
         user_parts = user.split('\\', 1)
@@ -60,7 +59,7 @@ class NTLMConnectionPool(HTTPSConnectionPool):
         conn.request('GET', self.authurl, None, headers)
         res = conn.getresponse()
         reshdr = dict(res.getheaders())
-        log.debug('Response status: %s %s' % (res.status, res.reason))
+        log.debug('Response status: {} {}'.format(res.status, res.reason))
         log.debug('Response headers: %s' % reshdr)
         log.debug('Response data: %s [...]' % res.read(100))
 
@@ -90,7 +89,7 @@ class NTLMConnectionPool(HTTPSConnectionPool):
         log.debug('Request headers: %s' % headers)
         conn.request('GET', self.authurl, None, headers)
         res = conn.getresponse()
-        log.debug('Response status: %s %s' % (res.status, res.reason))
+        log.debug('Response status: {} {}'.format(res.status, res.reason))
         log.debug('Response headers: %s' % dict(res.getheaders()))
         log.debug('Response data: %s [...]' % res.read()[:100])
         if res.status != 200:
@@ -109,7 +108,7 @@ class NTLMConnectionPool(HTTPSConnectionPool):
         if headers is None:
             headers = {}
         headers['Connection'] = 'Keep-Alive'
-        return super(NTLMConnectionPool, self).urlopen(method, url, body,
+        return super().urlopen(method, url, body,
                                                        headers, retries,
                                                        redirect,
                                                        assert_same_host)
diff --git a/python/requests/requests/packages/urllib3/contrib/pyopenssl.py b/python/requests/requests/packages/urllib3/contrib/pyopenssl.py
index 5996153afe..ba3d83814b 100644
--- a/python/requests/requests/packages/urllib3/contrib/pyopenssl.py
+++ b/python/requests/requests/packages/urllib3/contrib/pyopenssl.py
@@ -43,7 +43,6 @@ Module Variables
 .. _crime attack: https://en.wikipedia.org/wiki/CRIME_(security_exploit)
 
 '''
-from __future__ import absolute_import
 
 try:
     from ndg.httpsclient.ssl_peer_verification import SUBJ_ALT_NAME_SUPPORT
@@ -155,7 +154,7 @@ def get_subj_alt_name(peer_cert):
     return dns_name
 
 
-class WrappedSocket(object):
+class WrappedSocket:
     '''API-compatibility wrapper for Python OpenSSL's Connection-class.
 
     Note: _makefile_refs, _drop() and _reuse() are needed for the garbage
diff --git a/python/requests/requests/packages/urllib3/exceptions.py b/python/requests/requests/packages/urllib3/exceptions.py
index 8e07eb6198..eeb9927f1d 100644
--- a/python/requests/requests/packages/urllib3/exceptions.py
+++ b/python/requests/requests/packages/urllib3/exceptions.py
@@ -1,4 +1,3 @@
-from __future__ import absolute_import
 # Base Exceptions
 
 
@@ -16,7 +15,7 @@ class PoolError(HTTPError):
     "Base exception for errors caused within a pool."
     def __init__(self, pool, message):
         self.pool = pool
-        HTTPError.__init__(self, "%s: %s" % (pool, message))
+        HTTPError.__init__(self, "{}: {}".format(pool, message))
 
     def __reduce__(self):
         # For pickling purposes.
@@ -73,7 +72,7 @@ class MaxRetryError(RequestError):
     def __init__(self, pool, url, reason=None):
         self.reason = reason
 
-        message = "Max retries exceeded with url: %s (Caused by %r)" % (
+        message = "Max retries exceeded with url: {} (Caused by {!r})".format(
             url, reason)
 
         RequestError.__init__(self, pool, url, message)
@@ -191,11 +190,11 @@ class ProxySchemeUnknown(AssertionError, ValueError):
 
     def __init__(self, scheme):
         message = "Not supported proxy scheme %s" % scheme
-        super(ProxySchemeUnknown, self).__init__(message)
+        super().__init__(message)
 
 
 class HeaderParsingError(HTTPError):
     "Raised by assert_header_parsing, but we convert it to a log.warning statement."
     def __init__(self, defects, unparsed_data):
-        message = '%s, unparsed data: %r' % (defects or 'Unknown', unparsed_data)
-        super(HeaderParsingError, self).__init__(message)
+        message = '{}, unparsed data: {!r}'.format(defects or 'Unknown', unparsed_data)
+        super().__init__(message)
diff --git a/python/requests/requests/packages/urllib3/fields.py b/python/requests/requests/packages/urllib3/fields.py
index c7d48113bd..b7d7cd89aa 100644
--- a/python/requests/requests/packages/urllib3/fields.py
+++ b/python/requests/requests/packages/urllib3/fields.py
@@ -1,4 +1,3 @@
-from __future__ import absolute_import
 import email.utils
 import mimetypes
 
@@ -33,21 +32,21 @@ def format_header_param(name, value):
         The value of the parameter, provided as a unicode string.
     """
     if not any(ch in value for ch in '"\\\r\n'):
-        result = '%s="%s"' % (name, value)
+        result = '{}="{}"'.format(name, value)
         try:
             result.encode('ascii')
         except UnicodeEncodeError:
             pass
         else:
             return result
-    if not six.PY3:  # Python 2:
+    if not True:  # Python 2:
         value = value.encode('utf-8')
     value = email.utils.encode_rfc2231(value, 'utf-8')
-    value = '%s*=%s' % (name, value)
+    value = '{}*={}'.format(name, value)
     return value
 
 
-class RequestField(object):
+class RequestField:
     """
     A data container for request body parameters.
 
@@ -127,7 +126,7 @@ class RequestField(object):
         parts = []
         iterable = header_parts
         if isinstance(header_parts, dict):
-            iterable = header_parts.items()
+            iterable = list(header_parts.items())
 
         for name, value in iterable:
             if value:
@@ -144,12 +143,12 @@ class RequestField(object):
         sort_keys = ['Content-Disposition', 'Content-Type', 'Content-Location']
         for sort_key in sort_keys:
             if self.headers.get(sort_key, False):
-                lines.append('%s: %s' % (sort_key, self.headers[sort_key]))
+                lines.append('{}: {}'.format(sort_key, self.headers[sort_key]))
 
         for header_name, header_value in self.headers.items():
             if header_name not in sort_keys:
                 if header_value:
-                    lines.append('%s: %s' % (header_name, header_value))
+                    lines.append('{}: {}'.format(header_name, header_value))
 
         lines.append('\r\n')
         return '\r\n'.join(lines)
diff --git a/python/requests/requests/packages/urllib3/filepost.py b/python/requests/requests/packages/urllib3/filepost.py
index 97a2843ca4..b7cf71454a 100644
--- a/python/requests/requests/packages/urllib3/filepost.py
+++ b/python/requests/requests/packages/urllib3/filepost.py
@@ -1,4 +1,3 @@
-from __future__ import absolute_import
 import codecs
 
 from uuid import uuid4
@@ -27,7 +26,7 @@ def iter_field_objects(fields):
 
     """
     if isinstance(fields, dict):
-        i = six.iteritems(fields)
+        i = list(fields.items())
     else:
         i = iter(fields)
 
@@ -51,7 +50,7 @@ def iter_fields(fields):
     Supports list of (k, v) tuples and dicts.
     """
     if isinstance(fields, dict):
-        return ((k, v) for k, v in six.iteritems(fields))
+        return ((k, v) for k, v in fields.items())
 
     return ((k, v) for k, v in fields)
 
@@ -80,7 +79,7 @@ def encode_multipart_formdata(fields, boundary=None):
         if isinstance(data, int):
             data = str(data)  # Backwards compatibility
 
-        if isinstance(data, six.text_type):
+        if isinstance(data, str):
             writer(body).write(data)
         else:
             body.write(data)
diff --git a/python/requests/requests/packages/urllib3/packages/__init__.py b/python/requests/requests/packages/urllib3/packages/__init__.py
index 170e974c15..2fdf1ea04d 100644
--- a/python/requests/requests/packages/urllib3/packages/__init__.py
+++ b/python/requests/requests/packages/urllib3/packages/__init__.py
@@ -1,5 +1,3 @@
-from __future__ import absolute_import
-
 from . import ssl_match_hostname
 
 __all__ = ('ssl_match_hostname', )
